## lazr.restfulclient 0.14.2

=== src/lazr/restfulclient/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = lazrrestfulclient
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## lazr.restfulclient 0.9.11

=== debian/changelog ===
lazr.restfulclient (0.9.11-1ubuntu1.4) lucid; urgency=medium

  * Always uppercase HTTP methods to match httplib2 expectations
    (LP: #1401544).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Dec 2014 16:30:02 +0000

lazr.restfulclient (0.9.11-1ubuntu1.3) lucid-proposed; urgency=low

  * Move test dependencies to extras_require so that setuptools doesn't think
    they are needed for the code to work. (LP: #918307)
    .
    Having them listed in requires, but not in the package dependencies leads
    to having a package installed that setuptools thinks is broken. This
    breaks any code that relies on lazr.restfulclient (or launchpadlib) and
    uses setuptools/pkg_resources.

 -- James Westby <james.westby@canonical.com>  Wed, 18 Jan 2012 12:16:35 -0500

lazr.restfulclient (0.9.11-1ubuntu1.2) lucid-proposed; urgency=low

  *  debian/control:
     - Always require python-simplejson as python 2.6 does not provide it
       and lazr.restfulclient.resource does not use json on error instead.
       (LP: #803475)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 14 Jul 2011 15:55:51 +0200

lazr.restfulclient (0.9.11-1ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/user-agent.patch: from upstream bzr revno 92 - send a real
    value for the user-agent header (LP: #607947)
  * debian/patches/httplib2-workaround.patch: from upstream bzr revno 94 -
    workaround a bug in httplib2 (LP: #607947)
  * debian/patches/user-agent.patch: from upstream bzr revno 99 - request
    compressed representation with Content-Encoding instead of TE
    (LP: #607947)

 -- Brian Murray <brian@ubuntu.com>  Tue, 20 Jul 2010 13:16:02 -0700

lazr.restfulclient (0.9.11-1ubuntu1) lucid; urgency=low

  * debian/patches/perform_retries.patch: retry certain failure codes for
    a few seconds to avoid timeouts and gateway failures on Launchpad
    (LP: #524980).

 -- Kees Cook <kees@ubuntu.com>  Sat, 02 Mar 2010 09:44:08 -0800

lazr.restfulclient (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/comparison_fixes.patch:
    - Removed, included upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Feb 2010 16:38:47 +0100

lazr.restfulclient (0.9.10-2) unstable; urgency=low

  * debian/patches/comparison_fixes.patch:
    - Cherrypick a fix from upstream bzr repository to fix comparisons of
      entries and hosted files with None (LP: #495326).
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 03 Feb 2010 22:08:45 +0100

lazr.restfulclient (0.9.10-1) unstable; urgency=low

  * New upstream release.
    - Do not download missing build-dependencies (Closes: #552949).
  * debian/patches/no_deps.patch:
    - Removed, it is no longer useful.
  * debian/copyright:
    - Update with new copyright informations.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 03 Nov 2009 21:30:42 +0100

lazr.restfulclient (0.9.3-1) unstable; urgency=low

  * Initial Debian release (Closes: #551275).
  * Package taken from Ubuntu, major changes introduced are:
    - Switch to debhelper 7.
    - Switch to python-support.
    - Binary package renamed to python-lazr.uri to match module name.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 19 Oct 2009 14:44:34 +0200

lazr.restfulclient (0.9.3-0ubuntu3) karmic; urgency=low

  * The package name is now python-zope.interface, thank Eric Appleman.
    (LP: #424751)

 -- James Westby <james.westby@ubuntu.com>  Mon, 07 Sep 2009 10:51:19 +0100

lazr.restfulclient (0.9.3-0ubuntu2) karmic; urgency=low

  * Add python-pkg-resources to Depends, thanks Martin Pitt.

 -- James Westby <james.westby@ubuntu.com>  Thu, 27 Aug 2009 11:54:36 +0100

lazr.restfulclient (0.9.3-0ubuntu1) karmic; urgency=low

  * Initial release.
  * Comment out setup_requires in setup.py so that setuptools doesn't try and
    download things at build time.
  * Comment out dependencies in setup.py that are just needed for running the
    tests. It sucks, but there are about 10 new packages needed just to allow
    the test suite to run.

 -- James Westby <james.westby@ubuntu.com>  Fri, 10 Jul 2009 16:43:44 +0100

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Falavigna <dktrkranz@debian.org>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.4), python-support, python-setuptools
Standards-Version: 3.8.4
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
XS-Python-Version: >= 2.4

Package: python-lazr.restfulclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-zope.interface | python-zopeinterface, python-wadllib (>= 1.1.4), python-pkg-resources, python-simplejson, python-httplib2
Conflicts: python-lazr-restfulclient (<< 0.9.9-1)
Replaces: python-lazr-restfulclient (<< 0.9.9-1)
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

## lazr.restfulclient 0.9.20

=== debian/changelog ===
lazr.restfulclient (0.9.20-0ubuntu1) maverick; urgency=low

  * New upstream release
  * switch to python-central to make it co-installable with
    python-lazr (LP: #599332)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Jun 2010 13:34:33 +0200

lazr.restfulclient (0.9.18-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 17 Jun 2010 20:28:38 +0200

lazr.restfulclient (0.9.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Remove Conflicts/Replaces with python-lazr-restfulclient, they were
      useful for Ubuntu Lucid only.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 29 Apr 2010 21:42:36 +0200

lazr.restfulclient (0.9.13+ds-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream tarball to include COPYING.txt and HACKING.txt files,
    they were removed from 0.9.13 release by mistake.
  * Always depend on python-simplejson, drop the alternative python2.6
    dependency, as restfulclient explicitly needs simplejson, not json
    provided by python2.6
  * Drop optional dependency on virtual package python-zopeinterface.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Apr 2010 13:09:32 +0200

lazr.restfulclient (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Move myself as Maintainer, DPMT as Uploaders.
  * debian/rules:
    - Install upstream changelog.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 13 Mar 2010 13:14:13 +0100

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.4), python-central, python-setuptools
Standards-Version: 3.8.4
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
XS-Python-Version: >= 2.4

Package: python-lazr.restfulclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-zope.interface, python-wadllib (>= 1.1.4), python-pkg-resources, python-simplejson, python-httplib2
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils --with python-central $@

override_dh_installchangelogs:
	dh_installchangelogs src/lazr/restfulclient/NEWS.txt

## lazr.restfulclient 0.9.21

=== debian/changelog ===
lazr.restfulclient (0.9.21-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 24 Jul 2010 15:54:08 +0200

lazr.restfulclient (0.9.20-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/no_package_data.patch:
    - Do not install documentation files in Python module directory.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.
  * debian/docs:
    - Install documentation files under /usr/share/doc.
  * debian/rules:
    - Install version.txt to the right location.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 28 Jun 2010 23:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: lazr.restfulclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.0), python (>= 2.4), python-central, python-setuptools
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.3.0), python (>= 2.4), python-support, python-setuptools
+Standards-Version: 3.9.0
 Homepage: https://launchpad.net/lazr.restfulclient
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/python-lazr.restfulclient -wholename "*python2.*/lazr/restfulclient" \
		-exec install -m 0644 $(CURDIR)/src/lazr/restfulclient/version.txt {} \;

override_dh_installchangelogs:
	dh_installchangelogs src/lazr/restfulclient/NEWS.txt

=== debian/watch ===
version=3
https://launchpad.net/lazr.restfulclient/+download http://launchpad.net/lazr.restfulclient/.*/lazr.restfulclient-(.+).tar.gz

## lazr.restfulclient 0.11.1

=== debian/changelog ===
lazr.restfulclient (0.11.1-1build1) natty; urgency=low

  * No-change rebuild to prefer python2.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Dec 2010 09:37:59 +0100

lazr.restfulclient (0.11.1-1) experimental; urgency=low

  * New upstream release.
  * Switch to dh_python2.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/pydist-overrides:
    - Do not require lazr.authentication as dependency.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 04 Dec 2010 12:53:58 +0100

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.5-2~), python-setuptools
Standards-Version: 3.9.1
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
X-Python-Version: >= 2.4

Package: python-lazr.restfulclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-zope.interface, python-wadllib (>= 1.1.4), python-pkg-resources, python-simplejson, python-httplib2
Breaks: ${python:Breaks}
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=python_distutils
+	dh $@ --with python2 --buildsystem=python_distutils
 
 override_dh_auto_install:
 	dh_auto_install

## lazr.restfulclient 0.11.2

=== debian/changelog ===
lazr.restfulclient (0.11.2-2ubuntu2) oneiric; urgency=low

  * With httplib2 0.7.2 (not yet released upstream, but cherry picked
    into Oneiric), LP: #797281 is no longer relevant, so we can let
    default validation of certificates continue.  (LP: #798405)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 28 Jun 2011 10:07:33 +0100

lazr.restfulclient (0.11.2-2ubuntu1) oneiric; urgency=low

  * httplib2 0.7.0 added SSL certificate validation by default, but
    lazr.restfulclient is not prepared to handle this, so disable it for
    now.  (LP: #797281)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 16 Jun 2011 11:50:33 -0400

lazr.restfulclient (0.11.2-2) unstable; urgency=low

  * Python transition:
    - Add support for python2.7
    - Drop support for python2.5
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 18 Apr 2011 22:35:05 +0200

lazr.restfulclient (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/pydist-overrides:
    - Do not require wsgi_intercept as dependency.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Feb 2011 21:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lazr.restfulclient
 Section: python
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, James Westby <james.westby@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.5-2~), python-setuptools
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-3~), python-setuptools
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/lazr.restfulclient
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/

## lazr.restfulclient 0.12.0

=== debian/changelog ===
lazr.restfulclient (0.12.0-2+deb7u1) stable; urgency=low

  * debian/patches/concurrency_fixes_rev_122.patch: backport rev 122: Creates
    AtomicFileCache as a parent class for MultipleRepresentationCache to
    handle concurrent use issues. (Closes: #736259)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Jan 2014 22:13:47 +0200

lazr.restfulclient (0.12.0-2) unstable; urgency=low

  * New maintainer.
  * Move test dependencies to extras_require so that setuptools doesn't think
    they are needed for the code to work. Thanks James Westby.
    (Closes: #656353, LP: #918307)
  * Drop pydist-overrides, now that these dependencies won't appear in
    requires.txt.
  * Clean egg-info.
  * Wrap and sort long lines in debian/control.
  * Convert debian/copyright to DEP5 machine-readable format.
  * Drop Breaks: ${python:Breaks}. No longer used by dh_python2.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Jan 2012 16:57:32 +0200

lazr.restfulclient (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/docs:
    - Do not install NEWS.txt, already provided as changelog.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Aug 2011 18:30:05 +0200

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
X-Python-Version: >= 2.4

Package: python-lazr.restfulclient
Architecture: all
Depends:
 python-httplib2,
 python-pkg-resources,
 python-simplejson,
 python-wadllib (>= 1.1.4),
 python-zope.interface,
 ${misc:Depends},
 ${python:Depends}
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2 --buildsystem=python_distutils
+	dh $@ --with python2
 
 override_dh_auto_install:
 	dh_auto_install

## lazr.restfulclient 0.13.1

=== debian/changelog ===
lazr.restfulclient (0.13.1-1) experimental; urgency=low

  * New upstream release.
     - Now cache-safe for concurrent clients.
  * Upload to experimental, as we are in freeze.
  * Get rid of .pth files, dh_python2's namespace support is sufficient.
    (LP: #796992, #583426)
  * Depend on python-lazr.uri. (LP: #876445)
  * Update watch file to work with secure LP urls for the tarballs.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Bump machine readable copyright format to 1.0, no changes needed.
  * Updated copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 Nov 2012 11:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-3~), python-setuptools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-14~), python-setuptools
+Standards-Version: 3.9.4
 Homepage: https://launchpad.net/lazr.restfulclient
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
@@ -15,6 +15,7 @@
 Architecture: all
 Depends:
  python-httplib2,
+ python-lazr.uri,
  python-pkg-resources,
  python-simplejson,
  python-wadllib (>= 1.1.4),

## lazr.restfulclient 0.13.3

=== debian/changelog ===
lazr.restfulclient (0.13.3-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:55 +0000

lazr.restfulclient (0.13.3-1) unstable; urgency=low

  [ Stefano Rivera ]
  * New upstream release.
  * Upload to unstable, wheezy released.
  * Bump debhelper dependency to 8.1 for build-{arch,indep} support.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 May 2013 00:34:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Stefano Rivera <stefanor@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.3.0), python (>= 2.6.6-14~), python-setuptools
+Build-Depends: debhelper (>= 8.1), python (>= 2.6.6-14~), python-setuptools
 Standards-Version: 3.9.4
 Homepage: https://launchpad.net/lazr.restfulclient
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/lazr.restfulclient/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/lazr.restfulclient/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/lazr.restfulclient/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/lazr.restfulclient/trunk/
 X-Python-Version: >= 2.4
 
 Package: python-lazr.restfulclient

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	# dh_python2's namespace feature is enough:
	find debian/python*-lazr.* -name '*.pth' -delete

override_dh_installchangelogs:
	dh_installchangelogs src/lazr/restfulclient/NEWS.txt

=== debian/watch ===
version=3
https://launchpad.net/lazr.restfulclient/+download .*/lazr.restfulclient-(.+).tar.gz

## lazr.restfulclient 0.13.4

=== debian/changelog ===
lazr.restfulclient (0.13.4-5ubuntu2) xenial; urgency=medium

  * Cherry-pick from upstream:
    - Fix handling of 304 responses with an empty body on Python 3
      (LP: #1714960).

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 08 Jul 2019 14:44:42 +0100

lazr.restfulclient (0.13.4-5ubuntu1) xenial; urgency=medium

  * Cherry-pick from upstream:
    - Update imports for urlencode (thanks, Dimitri John Ledkov;
      LP: #1425609).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Apr 2016 10:25:38 +0100

lazr.restfulclient (0.13.4-5build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:19:20 +0000

lazr.restfulclient (0.13.4-5) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Jul 2015 17:08:35 -0700

lazr.restfulclient (0.13.4-4) experimental; urgency=medium

  * Decode headers before comparison (LP: #1414075)
  * Fix urllib unquote imports (LP: #1414055)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Thu, 12 Feb 2015 23:40:09 +0000

lazr.restfulclient (0.13.4-3) experimental; urgency=medium

  * Fix json loads (LP: #1403524).

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 21 Jan 2015 18:57:29 +0000

lazr.restfulclient (0.13.4-2) experimental; urgency=medium

  * Correct upstream tarball release... use .bz2 tarball
  * Correct python3 package generation.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 06 Dec 2014 02:00:40 +0000

lazr.restfulclient (0.13.4-1) experimental; urgency=medium

  * New upstream (bug-fix) release.
  * Python 3 support.
  * Verify upstream release gpg signature.
  * Drop all patches, integrated upstream.
  * Switch to pybuild.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Fri, 05 Dec 2014 23:54:47 +0000

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-14~), python3-all, dh-python, python-setuptools, python3-setuptools
Standards-Version: 3.9.6
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/lazr.restfulclient/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/lazr.restfulclient/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2

Package: python-lazr.restfulclient
Architecture: all
Depends:
 python-httplib2,
 python-lazr.uri,
 python-pkg-resources,
 python-simplejson,
 python-wadllib (>= 1.1.4),
 python-zope.interface,
 ${misc:Depends},
 ${python:Depends}
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

Package: python3-lazr.restfulclient
Architecture: all
Depends:
 python3-httplib2,
 python3-lazr.uri,
 python3-pkg-resources,
 python3-simplejson,
 python3-wadllib (>= 1.1.4),
 python3-zope.interface,
 ${misc:Depends},
 ${python3:Depends}
Description: client for lazr.restful-based web services (Python 3)
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.
 .
 This package is for Python 3.

## lazr.restfulclient 0.13.5

=== debian/changelog ===
lazr.restfulclient (0.13.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix handling of 304 responses with an empty body on Python 3
      (LP: #1714960).

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Sep 2017 17:10:30 +0100

lazr.restfulclient (0.13.4-6) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https).

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Cherry-pick from upstream: Update imports for urlencode.
    Thanks to Dimitri John Ledkov for the patch.  LP: #1425609
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Run wrap-and-sort.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 19 May 2016 09:25:43 +0000

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-14~),
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/lazr.restfulclient.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/lazr.restfulclient.git
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2

Package: python-lazr.restfulclient
Architecture: all
Depends:
 python-httplib2,
 python-lazr.uri,
 python-pkg-resources,
 python-simplejson,
 python-wadllib (>= 1.1.4),
 python-zope.interface,
 ${misc:Depends},
 ${python:Depends},
Description: client for lazr.restful-based web services
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

Package: python3-lazr.restfulclient
Architecture: all
Depends:
 python3-httplib2,
 python3-lazr.uri,
 python3-pkg-resources,
 python3-simplejson,
 python3-wadllib (>= 1.1.4),
 python3-zope.interface,
 ${misc:Depends},
 ${python3:Depends},
Description: client for lazr.restful-based web services (Python 3)
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lazr.restfulclient

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# dh_python2's namespace feature is enough:
	find debian/python*-lazr.* -name '*.pth' -delete

# Do not run test-suite lazr.restful has broken imports
# triggered by the test-suite code
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs src/lazr/restfulclient/NEWS.txt

## lazr.restfulclient 0.14.0

=== debian/changelog ===
lazr.restfulclient (0.14.0-1) unstable; urgency=medium

  [ Colin Watson ]
  * New upstream release.
  * Move VCS to salsa.debian.org.
  * Fix debian/watch to allow different compression extensions.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 May 2018 10:19:35 +0100

=== debian/control ===
--- 
+++ 
@@ -13,20 +13,18 @@
  python3-setuptools,
 Standards-Version: 3.9.8
 Homepage: https://launchpad.net/lazr.restfulclient
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/lazr.restfulclient.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/lazr.restfulclient.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/lazr.restfulclient
+Vcs-Browser: https://salsa.debian.org/python-team/modules/lazr.restfulclient
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
 
 Package: python-lazr.restfulclient
 Architecture: all
 Depends:
- python-httplib2,
  python-lazr.uri,
  python-pkg-resources,
  python-simplejson,
  python-wadllib (>= 1.1.4),
- python-zope.interface,
  ${misc:Depends},
  ${python:Depends},
 Description: client for lazr.restful-based web services
@@ -37,12 +35,10 @@
 Package: python3-lazr.restfulclient
 Architecture: all
 Depends:
- python3-httplib2,
  python3-lazr.uri,
  python3-pkg-resources,
  python3-simplejson,
  python3-wadllib (>= 1.1.4),
- python3-zope.interface,
  ${misc:Depends},
  ${python3:Depends},
 Description: client for lazr.restful-based web services (Python 3)

## lazr.restfulclient 0.14.2

=== debian/changelog ===
lazr.restfulclient (0.14.2-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:35:11 +0000

lazr.restfulclient (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.
  * Drop Python 2 support (Closes: #936822).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Wed, 09 Oct 2019 11:55:48 +0200

lazr.restfulclient (0.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly depend on python{,3}-httplib2.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Nov 2018 17:28:17 +0000

lazr.restfulclient (0.14.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Nov 2018 10:26:17 +0000

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Git: https://salsa.debian.org/python-team/modules/lazr.restfulclient.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/lazr.restfulclient
Testsuite: autopkgtest-pkg-python

Package: python3-lazr.restfulclient
Architecture: all
Depends:
 python3-httplib2 (>= 0.7.7),
 python3-lazr.uri,
 python3-pkg-resources,
 python3-simplejson,
 python3-wadllib (>= 1.1.4),
 ${misc:Depends},
 ${python3:Depends},
Description: client for lazr.restful-based web services (Python 3)
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.
 .
 This package is for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=lazr.restfulclient
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
@@ -14,5 +14,8 @@
 # triggered by the test-suite code
 override_dh_auto_test:
 
+override_dh_installdocs:
+	dh_installdocs -X NEWS.rst
+
 override_dh_installchangelogs:
-	dh_installchangelogs src/lazr/restfulclient/NEWS.txt
+	dh_installchangelogs src/lazr/restfulclient/docs/NEWS.rst

## lazr.restfulclient 0.14.4

=== debian/changelog ===
lazr.restfulclient (0.14.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * New upstream release.
  * Extend upstream metadata.
  * d/control: Update Uploader field with new Debian Python Team contact
    address.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Declare Rules-Requires-Root: no.
  * Bump copyright years.
  * Drop explicit Depends on python3-pkg-resources and python3-simplejson, no
    longer needed.
  * Bump watch file version to 4.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 17 Sep 2021 14:19:49 -0700

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	# dh_python2's namespace feature is enough:
 	find debian/python*-lazr.* -name '*.pth' -delete
 
-# Do not run test-suite lazr.restful has broken imports
-# triggered by the test-suite code
+# Do not run test-suite, it requires lazr.authentication and lazr.restful which
+# aren't packaged in Debian
 override_dh_auto_test:
 
 override_dh_installdocs:

## lazr.restfulclient 0.14.5

=== debian/changelog ===
lazr.restfulclient (0.14.5-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Upstream dropped HACKING.rst, remove from docs.
  * Bump copyright years.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Oct 2022 08:21:04 +0200

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.6.1
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Git: https://salsa.debian.org/python-team/packages/lazr.restfulclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/lazr.restfulclient
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-lazr.restfulclient
Architecture: all
Depends:
 python3-httplib2 (>= 0.7.7),
 python3-lazr.uri,
 python3-wadllib (>= 1.1.4),
 ${misc:Depends},
 ${python3:Depends}
Description: client for lazr.restful-based web services (Python 3)
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.
 .
 This package is for Python 3.

## lazr.restfulclient 0.14.6

=== src/lazr/restfulclient/docs/Makefile ===


=== debian/changelog ===
lazr.restfulclient (0.14.6-3) unstable; urgency=medium

  * Team upload.
  * Swap Maintainer <-> Uploaders per new Team Policy
  * Use dh-sequence-python3
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 13:16:10 +0200

lazr.restfulclient (0.14.6-2) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Aug 2024 16:32:23 +0100

lazr.restfulclient (0.14.6-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.14.6
  * remove Python 3.12 patch applied upstream
  * add a patch to remove usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 02:04:33 +0100

lazr.restfulclient (0.14.5-2) unstable; urgency=medium

  * Patch: Python 3.12 support. (LP: #2045169)
  * Update standards version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Dec 2023 10:21:22 -0400

=== debian/control ===
Source: lazr.restfulclient
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stefano Rivera <stefanor@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://launchpad.net/lazr.restfulclient
Vcs-Git: https://salsa.debian.org/python-team/packages/lazr.restfulclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/lazr.restfulclient
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
X-Style: black

Package: python3-lazr.restfulclient
Architecture: all
Depends:
 python3-httplib2 (>= 0.7.7),
 python3-lazr.uri,
 python3-wadllib (>= 1.1.4),
 ${misc:Depends},
 ${python3:Depends},
Description: client for lazr.restful-based web services (Python 3)
 A programmable client library that takes advantage of the commonalities
 among lazr.rest web services to provide added functionality on top
 of wadllib.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export PYBUILD_NAME=lazr.restfulclient
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
-	# dh_python2's namespace feature is enough:
+	# dh_python's namespace feature is enough:
 	find debian/python*-lazr.* -name '*.pth' -delete
 
 # Do not run test-suite, it requires lazr.authentication and lazr.restful which

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://launchpad.net/lazr.restfulclient/+download .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
